package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumUserWechat {

    // 微信第三方web登录 0-已绑定，1-未绑定

    HAD(0, "已绑定"),
    NO(1, "未绑定")
    ;

    public static EnumUserWechat getEnum(Integer code) {
        for (EnumUserWechat value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumUserWechat(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
